PrefabFiles = {
	"antoh",
	"antoh_none",
	"salo",
	"pelmeni",
	"boyarishnik",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/antoh.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/antoh.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/antoh.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/antoh.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/antoh_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/antoh_silho.xml" ),

    Asset( "IMAGE", "bigportraits/antoh.tex" ),
    Asset( "ATLAS", "bigportraits/antoh.xml" ),
	
	Asset( "IMAGE", "images/map_icons/antoh.tex" ),
	Asset( "ATLAS", "images/map_icons/antoh.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_antoh.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_antoh.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_antoh.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_antoh.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_antoh.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_antoh.xml" ),
	
	Asset( "IMAGE", "images/names_antoh.tex" ),
    Asset( "ATLAS", "images/names_antoh.xml" ),
	
	Asset( "IMAGE", "images/names_gold_antoh.tex" ),
    Asset( "ATLAS", "images/names_gold_antoh.xml" ),
	
    Asset( "IMAGE", "bigportraits/antoh_none.tex" ),
    Asset( "ATLAS", "bigportraits/antoh_none.xml" ),

}

AddMinimapAtlas("images/map_icons/antoh.xml")

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local TECH = GLOBAL.TECH

-- The character select screen lines
STRINGS.CHARACTER_TITLES.antoh = "antoh not eat human's"
STRINGS.CHARACTER_NAMES.antoh = "antoh"
STRINGS.CHARACTER_DESCRIPTIONS.antoh = "excellent researcher and steep"
STRINGS.CHARACTER_QUOTES.antoh = "fuck it"

-- Custom speech strings
STRINGS.CHARACTERS.ANTOH = require "speech_antoh"

-- The character's name as appears in-game 
STRINGS.NAMES.ANTOH = "antoh"

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("antoh", "MALE")

-------------------------------------------- Энто параметры для крафта

STRINGS.NAMES.SALO = "Salo" -- название
STRINGS.RECIPE_DESC.SALO = "XOXOL." --описание при крафте
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SALO = "salamaleiku" --описание при клике правой кнопкой

STRINGS.NAMES.PELMENI = "Pelmeni" -- название
STRINGS.RECIPE_DESC.PELMENI = "bul'meni." --описание при крафте
STRINGS.CHARACTERS.GENERIC.DESCRIBE.PELMENI = "NICE" --описание при клике правой кнопкой

STRINGS.NAMES.BOYARISHNIK = "boyarishnik" -- название
STRINGS.RECIPE_DESC.BOYARISHNIK = "9/10 heal." --описание при крафте
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BOYARISHNIK = "haaaraaashooo" --описание при клике правой кнопкой

local salo = AddRecipe("salo", {
	GLOBAL.Ingredient("humanmeat", 4), --мясо 
	GLOBAL.Ingredient("pigskin", 2)}, --соль , можно поменять на любой другой прост посмотри что на вики(там под картинкой код предмета) и замени главное не задень запятые а также можешь добавить ингридиетов
	RECIPETABS.FARM, --Вкладка крафта (еда)
	GLOBAL.TECH.NONE, --уровень науки 0 (доступно со старта)
	nil,nil,nil,nil,"antohaonlytag",
	"images/inventoryimages/salo.xml",
	"salo.tex"
	)

local pelmeni = AddRecipe("pelmeni", {
	GLOBAL.Ingredient("cutgrass", 20), --мясо, оранжевым это требуемое кол-во
	GLOBAL.Ingredient("spoiled_food", 5 )}, --соль , можно поменять на любой другой прост посмотри что на вики(там под картинкой код предмета) и замени главное не задень запятые
	RECIPETABS.FARM,
	GLOBAL.TECH.NONE,
	nil,nil,nil,nil,"antohaonlytag",
	"images/inventoryimages/pelmeni.xml",
	"pelmeni.tex"
	)
	local boyarishnik = AddRecipe("boyarishnik" , {
	GLOBAL.Ingredient(GLOBAL.CHARACTER_INGREDIENT.HEALTH,25), 
	GLOBAL.Ingredient("petals", 5),
	GLOBAL.Ingredient("flint", 2)},  
	RECIPETABS.FARM,
	GLOBAL.TECH.NONE,
	nil,nil,nil,nil,"antohaonlytag",
	"images/inventoryimages/boyarishnik.xml",
	"boyarishnik.tex"
	)
	AddRecipe("humanmeat" , {
    GLOBAL.Ingredient(GLOBAL.CHARACTER_INGREDIENT.HEALTH,20),
    GLOBAL.Ingredient("flint", 1)},
    RECIPETABS.FARM,
    GLOBAL.TECH.NONE,
    nil,nil,nil,nil,"antohaonlytag"
    )
	AddRecipe("petals" , {
    GLOBAL.Ingredient(GLOBAL.CHARACTER_INGREDIENT.HEALTH,10),
    GLOBAL.Ingredient("cutgrass", 1)},
    RECIPETABS.FARM,
    GLOBAL.TECH.NONE,
    nil,nil,nil,nil,"antohaonlytag"
    )
	AddRecipe("guano", {
    GLOBAL.Ingredient("humanmeat", 1),
    GLOBAL.Ingredient("poop", 1)},
    RECIPETABS.FARM,
    GLOBAL.TECH.NONE,
    nil,nil,nil,nil,"antohaonlytag"
    )
    AddRecipe("voltgoatjelly", {
    GLOBAL.Ingredient("lightninggoathorn", 1),
    GLOBAL.Ingredient("poop", 1)},
    RECIPETABS.FARM,
    GLOBAL.TECH.NONE,
    nil,nil,nil,nil,"antohaonlytag"
    )
local myhandler = GLOBAL.ActionHandler(GLOBAL.ACTIONS.PICK, function(inst, action)
if action.target.components.pickable then
if action.target.components.pickable.quickpick or inst.prefab == "antoh" then
return "doshortaction"
else
return "dolongaction"
end
end
end)

AddStategraphActionHandler("wilson", myhandler)
--вот экзампл с 3 ингридиентами только чёрточки убрать нужно -- а этот текст удалить
--local boyarishnik = AddRecipe("boyarishnik" , {
	--GLOBAL.Ingredient("berries", 6), --мясо
	--GLOBAL.Ingredient("ice", 3),
	--GLOBAL.Ingredient("honey", 1)}, --семечки , можно поменять на любой другой прост посмотри что на вики(там под картинкой код предмета) и замени главное не задень запятые а также можешь добавить ингридиетов
	--RECIPETABS.FARM, --Вкладка крафта (еда)
	--GLOBAL.TECH.NONE, --уровень науки 0 (доступно со старта)
	--nil,nil,nil,nil,nil,
	--"images/inventoryimages/salo.xml",
	--"salo.tex"
	--)
